View Issue Details

IDProjectCategoryView StatusLast Update
0002692TechDraw[FreeCAD] Bugpublic2016-09-15 13:33
Reportermghansen256Assigned Towandererfan 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platform64bitOSWindows 7OS Version
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0002692: TechDraw/NewProjectionGroup: Projection is created even though Cancel is pressed
DescriptionWhen using the NewProjectionGroup command to add a projection of a part into a TechDraw drawing, the projections are still added if the dialog is cancelled by pressing "Cancel".
Steps To Reproduce1. Create a part and an empty TechDraw drawing.
2. Select the part and the TechDraw page.
3. Push the NewProjectionsGroup button in the TechDraw toolbar, a new projection will be shown.
4. Press cancel in the NewProjectionsGroup dialog. The dialog is closed, but the projection is still there.
Additional InformationOS: Windows 7
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.8372 (Git)
Build type: Release
Branch: master
Hash: 56ff8926810a8c566ee34c3b92d3b5cc0f0c4f6a
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.0.0
TagsNo tags attached.

Activities

wandererfan

2016-09-14 16:01

manager   ~0007318

Should be fixed by github PR#279/commit cccf1ee61

Issue History

Date Modified Username Field Change
2016-09-07 14:31 mghansen256 New Issue
2016-09-08 11:15 wandererfan Status new => confirmed
2016-09-08 11:15 wandererfan Product Version => 0.17
2016-09-08 11:15 wandererfan Target Version => 0.17
2016-09-08 11:16 wandererfan Assigned To => wandererfan
2016-09-14 16:01 wandererfan Note Added: 0007318
2016-09-14 16:01 wandererfan Status confirmed => resolved
2016-09-14 16:01 wandererfan Fixed in Version => 0.17
2016-09-15 13:33 wandererfan Status resolved => closed
2016-09-15 13:33 wandererfan Resolution open => fixed